<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>All Classes and Interfaces</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="all-classes-index-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#all-classes">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="All Classes and Interfaces" class="title">All Classes and Interfaces</h1>
</div>
<div id="all-classes-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="all-classes-table-tab0" role="tab" aria-selected="true" aria-controls="all-classes-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table', 2)" class="active-table-tab">All Classes and Interfaces</button><button id="all-classes-table-tab1" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab1', 2)" class="table-tab">Interfaces</button><button id="all-classes-table-tab2" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab2', 2)" class="table-tab">Classes</button><button id="all-classes-table-tab3" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab3', 2)" class="table-tab">Enum Classes</button></div>
<div id="all-classes-table.tabpanel" role="tabpanel">
<div class="summary-table two-column-summary" aria-labelledby="all-classes-table-tab0">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/filters/AuthenticationFilter.html" title="class in org.vtokarev.filters">AuthenticationFilter</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>AuthenticationFilter</code> is a class that implements <code>Filter</code> interface.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/dao/mysql/BaseDaoImpl.html" title="class in org.vtokarev.dao.mysql">BaseDaoImpl</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The abstract <code>BaseDaoImpl</code> class is the base class for other specific DAO classes.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>Booking</code> class represents the entity of booking.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab1"><a href="org/vtokarev/dao/BookingDao.html" title="interface in org.vtokarev.dao">BookingDao</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab1">
<div class="block"><code>BookingDao</code> interface extends <code>GenericDao</code> interface.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>BookingDaoImpl</code> class is an implementation of <a href="org/vtokarev/dao/BookingDao.html" title="interface in org.vtokarev.dao"><code>BookingDao</code></a> interface for MySQL persistence layer backend.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>BookingDto</code> class is a data transfer object, that encapsulates <a href="org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain"><code>Booking</code></a>,
 some fields of <a href="org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>, <a href="org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a>
 and calculated field <code>timeLeft</code>.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/BookingListServlet.html" title="class in org.vtokarev.controller">BookingListServlet</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>BookingListServlet</code> class processes GET <code>bookingList</code> requests generated by users with GUEST role.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/service/BookingService.html" title="class in org.vtokarev.service">BookingService</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>BookingService</code> is a service layer class that implements methods for booking room operations.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/BookingServlet.html" title="class in org.vtokarev.controller">BookingServlet</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>BookingServlet</code> class processes GET <code>booking</code> requests generated by users with GUEST and MANAGER role.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab3"><a href="org/vtokarev/domain/BookingStatus.html" title="enum class in org.vtokarev.domain">BookingStatus</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab3">
<div class="block">The <code>BookingStatus</code> class represents the entity of status of the <a href="org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain"><code>Booking</code></a>.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/BookRoomGuestServlet.html" title="class in org.vtokarev.controller">BookRoomGuestServlet</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>BookRoomGuestServlet</code> class implements <code>doGet</code> method that processes GET <code>bookRoomGuest</code> requests generated by users with GUEST role.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/BookRoomManagerServlet.html" title="class in org.vtokarev.controller">BookRoomManagerServlet</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>BookRoomManagerServlet</code> class implements <code>doPost</code> method that processes POST <code>bookRoomManager</code> requests generated by users with MANAGER role.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/filters/CharsetFilter.html" title="class in org.vtokarev.filters">CharsetFilter</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>AuthenticationFilter</code> is a class that implements <code>Filter</code> interface.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/listeners/ContextListener.html" title="class in org.vtokarev.listeners">ContextListener</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>ContextListener</code> is a class that implements <code>ServletContextListener</code> interface.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/filters/CookieLocaleFilter.html" title="class in org.vtokarev.filters">CookieLocaleFilter</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>AuthenticationFilter</code> is a class that implements <code>Filter</code> interface.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/CreateRequestServlet.html" title="class in org.vtokarev.controller">CreateRequestServlet</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>CreateRequestServlet</code> class implements <code>doGet</code> method that processes GET <code>createRequest</code> requests generated by users with GUEST role.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/tag/FormatLocalDateTime.html" title="class in org.vtokarev.tag">FormatLocalDateTime</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The class implements <code>FormatLocalDateTime</code> custom JSP tag.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab1"><a href="org/vtokarev/dao/GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a>&lt;<a href="org/vtokarev/dao/GenericDao.html" title="type parameter in GenericDao">T</a>&gt;</div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab1">
<div class="block"><code>GenericDao</code> interface is the base interface for other specific DAO interfaces which are implemented by DAO classes.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/HomeServlet.html" title="class in org.vtokarev.controller">HomeServlet</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>HomeServlet</code> class implements <code>doGet</code> method that processes GET <code>home</code> requests generated by users with any roles
 and forward control to <code>home.jsp</code> view.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/ImageListServlet.html" title="class in org.vtokarev.controller">ImageListServlet</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>ImageListServlet</code> uses for operation with images of the <a href="org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/LoginServlet.html" title="class in org.vtokarev.controller">LoginServlet</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>LoginServlet</code> uses for login users.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/LogoutServlet.html" title="class in org.vtokarev.controller">LogoutServlet</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>LogoutServlet</code> uses for logout users.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/ModifyRoomServlet.html" title="class in org.vtokarev.controller">ModifyRoomServlet</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>ModifyRoomServlet</code> class uses for create, edit and delete rooms.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/ModifyUserServlet.html" title="class in org.vtokarev.controller">ModifyUserServlet</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>ModifyRoomServlet</code> class uses for create, edit and delete rooms.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/tuples/Pair.html" title="class in org.vtokarev.tuples">Pair</a>&lt;<a href="org/vtokarev/tuples/Pair.html" title="type parameter in Pair">A</a>,<wbr><a href="org/vtokarev/tuples/Pair.html" title="type parameter in Pair">B</a>&gt;</div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">It's an implementation for the two-element tuple container.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/ProceedBookingServlet.html" title="class in org.vtokarev.controller">ProceedBookingServlet</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>ProceedBookingServlet</code> class uses for proceed <a href="org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain"><code>Booking</code></a> i.e.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/ProceedRequestServlet.html" title="class in org.vtokarev.controller">ProceedRequestServlet</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>ProceedRequestServlet</code> class uses for proceeding <a href="org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain"><code>RoomRequest</code></a> that is pay or cancel it.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/RequestListServlet.html" title="class in org.vtokarev.controller">RequestListServlet</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>RequestListServlet</code> class processes GET <code>requestList</code> requests generated by users with GUEST and MANAGER roles.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>Room</code> class represents the entity of room.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain">RoomClass</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>RoomClass</code> class represents the entity of the class of the room.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab1"><a href="org/vtokarev/dao/RoomClassDao.html" title="interface in org.vtokarev.dao">RoomClassDao</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab1">
<div class="block"><code>RoomClassDao</code> interface extends <code>GenericDao</code> interface.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/dao/mysql/RoomClassDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomClassDaoImpl</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>RoomClassDaoImpl</code> class is an implementation of <a href="org/vtokarev/dao/RoomClassDao.html" title="interface in org.vtokarev.dao"><code>RoomClassDao</code></a> interface for MySQL persistence layer backend.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/service/RoomClassService.html" title="class in org.vtokarev.service">RoomClassService</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>RoomClassService</code> is a service layer class that implements methods for operations with room classes.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab1"><a href="org/vtokarev/dao/RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab1">
<div class="block"><code>RoomDao</code> interface extends <code>GenericDao</code> interface.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>RoomDaoImpl</code> class is an implementation of <a href="org/vtokarev/dao/RoomDao.html" title="interface in org.vtokarev.dao"><code>RoomDao</code></a> interface for MySQL persistence layer backend.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/dto/RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>RoomEditDto</code> class is a data transfer object, that encapsulates <a href="org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>, <a href="org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a>
 and calculated field <code>List&lt;String&gt; images</code>, which contains an actual list of images of the room.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/RoomListServlet.html" title="class in org.vtokarev.controller">RoomListServlet</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>RoomListServlet</code> class processes GET <code>roomList</code> requests generated by users with ADMIN role.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>RoomRequest</code> class represents the request made by guests to find the room by parameters.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab1"><a href="org/vtokarev/dao/RoomRequestDao.html" title="interface in org.vtokarev.dao">RoomRequestDao</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab1">
<div class="block"><code>RoomRequestDao</code> interface extends <code>GenericDao</code> interface.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>RoomRequestDaoImpl</code> class is an implementation of <a href="org/vtokarev/dao/RoomRequestDao.html" title="interface in org.vtokarev.dao"><code>RoomRequestDao</code></a> interface for MySQL persistence layer backend.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>RoomRequestDto</code> class is a data transfer object, that encapsulates <a href="org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain"><code>RoomRequest</code></a>,
 some fields of <a href="org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>,<a href="org/vtokarev/domain/User.html" title="class in org.vtokarev.domain"><code>User</code></a>, <a href="org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a> and <a href="org/vtokarev/domain/BookingStatus.html" title="enum class in org.vtokarev.domain"><code>BookingStatus</code></a>.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/service/RoomRequestService.html" title="class in org.vtokarev.service">RoomRequestService</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>RoomRequestService</code> is a service layer class that implements methods for operations with room requests.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab3"><a href="org/vtokarev/domain/RoomRequestStatus.html" title="enum class in org.vtokarev.domain">RoomRequestStatus</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab3">
<div class="block">The <code>RoomRequestStatus</code> class represents the entity of status of the <a href="org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain"><code>RoomRequest</code></a>.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>RoomSearchDto</code> class is a data transfer object, that encapsulates <a href="org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>,
 some fields of <a href="org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a>, and calculated field <code>status</code> .</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>RoomService</code> is a service layer class that implements methods for operations with rooms.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/service/ScheduledUpdateRecordsService.html" title="class in org.vtokarev.service">ScheduledUpdateRecordsService</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>RoomClassService</code> class is a service layer class that implements scheduled running methods.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/SearchRoomServlet.html" title="class in org.vtokarev.controller">SearchRoomServlet</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>SearchRoomServlet</code> class uses for search room functionality for GUEST and MANAGER.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/tuples/Triplet.html" title="class in org.vtokarev.tuples">Triplet</a>&lt;<a href="org/vtokarev/tuples/Triplet.html" title="type parameter in Triplet">A</a>,<wbr><a href="org/vtokarev/tuples/Triplet.html" title="type parameter in Triplet">B</a>,<wbr><a href="org/vtokarev/tuples/Triplet.html" title="type parameter in Triplet">C</a>&gt;</div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">It's an implementation for the three-element tuple container.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/UploadImageServlet.html" title="class in org.vtokarev.controller">UploadImageServlet</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>UploadImageServlet</code> class implements <code>doPost</code> method for uploading room images functionality.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>User</code> class represents the entity of user.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab1"><a href="org/vtokarev/dao/UserDao.html" title="interface in org.vtokarev.dao">UserDao</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab1">
<div class="block"><code>UserDao</code> interface extends <code>GenericDao</code> interface.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/dao/mysql/UserDaoImpl.html" title="class in org.vtokarev.dao.mysql">UserDaoImpl</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>UserDaoImpl</code> class is an implementation of <a href="org/vtokarev/dao/UserDao.html" title="interface in org.vtokarev.dao"><code>UserDao</code></a> interface for MySQL persistence layer backend.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/controller/UserListServlet.html" title="class in org.vtokarev.controller">UserListServlet</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The <code>UserListServlet</code> class processes GET <code>userList</code> requests generated by users with ADMIN role.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab3"><a href="org/vtokarev/domain/UserRole.html" title="enum class in org.vtokarev.domain">UserRole</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab3">
<div class="block">The <code>UserRole</code> class represents the entity of <a href="org/vtokarev/domain/User.html" title="class in org.vtokarev.domain"><code>User</code></a> role.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block"><code>UserService</code> is a service layer class that implements methods for operations with users.</div>
</div>
</div>
</div>
</div>
</main>
</div>
</div>
</body>
</html>
